ImaMessageType (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Enum ImaMessageType

- Object
- - Enum<ImaMessageType>
  - - com.ibm.ima.plugin.ImaMessageType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImaMessageType>`

      public enum ImaMessageType
      extends Enum<ImaMessageType>

  Define the type of the message body.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `bytes` | A message where the body is uninterpreted bytes
    `jmsBytesMessage` | A JMS BytesMessage
    `jmsMapMessage` | A JMS MapMessage
    `jmsMessage` | A JMS message with no body
    `jmsObjectMessage` | A JMS ObjectMessage
    `jmsStreamMessage` | A JMS StreamMessage
    `jmsTextMessage` | A JMS TextMessage
    `jsonArray` | A message where the body is a JSON array
    `jsonObject` | A message where the body is a JSON object
    `nullRetained` | A null retained message which will cause the retained message to be deleted
    `text` | A message where the body is text in UTF-8 encoding

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImaMessageType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImaMessageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bytes

          public static final ImaMessageType bytes

      A message where the body is uninterpreted bytes

    - #### text

          public static final ImaMessageType text

      A message where the body is text in UTF-8 encoding

    - #### jsonObject

          public static final ImaMessageType jsonObject

      A message where the body is a JSON object

    - #### jsonArray

          public static final ImaMessageType jsonArray

      A message where the body is a JSON array

    - #### jmsMessage

          public static final ImaMessageType jmsMessage

      A JMS message with no body

    - #### jmsBytesMessage

          public static final ImaMessageType jmsBytesMessage

      A JMS BytesMessage

    - #### jmsMapMessage

          public static final ImaMessageType jmsMapMessage

      A JMS MapMessage

    - #### jmsObjectMessage

          public static final ImaMessageType jmsObjectMessage

      A JMS ObjectMessage

    - #### jmsStreamMessage

          public static final ImaMessageType jmsStreamMessage

      A JMS StreamMessage

    - #### jmsTextMessage

          public static final ImaMessageType jmsTextMessage

      A JMS TextMessage

    - #### nullRetained

          public static final ImaMessageType nullRetained

      A null retained message which will cause the retained message to be deleted

  - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ImaMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImaMessageType c : ImaMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImaMessageType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null